Multivariate Pattern Analysis in Python

# mvpa2.clfs.transerror.ROCCurve

class `mvpa2.clfs.transerror.``ROCCurve`(labels, sets=None)

  Generic class for ROC curve computation and plotting

  Attributes

  `aucs` | Compute and return set of AUC values 1 per label
  `rocs` |

  Methods

  `plot`([label_index]) | TODO: make it friendly to labels given by values?

  Parameters:

  labels : list

  > labels which were used (in order of estimates if multiclass, or 1 per class for binary problems (e.g. in SMLR))

  sets : list of tuples

  > list of sets for the analysis

  Attributes

  `aucs` | Compute and return set of AUC values 1 per label
  `rocs` |

  Methods

  `plot`([label_index]) | TODO: make it friendly to labels given by values?

  `aucs`

    Compute and return set of AUC values 1 per label

  `plot`(label_index=0)
    TODO: make it friendly to labels given by values?
      should we also treat labels_map?
  `rocs`